using System;
using System.Runtime.InteropServices;
using System.ComponentModel;
using System.Windows.Forms;
 
namespace ExcelMenu
{
    /// <summary>
    ///   Add-in Express Add-in Module
    /// </summary>
    [GuidAttribute("59E8A577-395F-4C30-8C41-46B3738E1EC8"), ProgId("ExcelMenu.AddinModule"), RunInstaller(true)]
    public class AddinModule : AddinExpress.MSO.ADXAddinModule
    {
        public AddinModule(System.ComponentModel.IContainer container)
        {
            // This call is required by the Component Designer
            container.Add(this);
            InitializeComponent();
 
            // TODO: Add any initialization after the InitializeComponent call
        }

		private AddinExpress.MSO.ADXCommandBar adxCommandBar1;
		private AddinExpress.MSO.ADXCommandBarPopup adxCommandBarPopup1;
		private AddinExpress.MSO.ADXCommandBarButton adxCommandBarButton1;
		private AddinExpress.MSO.ADXCommandBarButton adxCommandBarButton2;
		private AddinExpress.MSO.ADXCommandBarButton adxCommandBarButton3;
		private AddinExpress.MSO.ADXCommandBarPopup adxCommandBarPopup2;
		private AddinExpress.MSO.ADXCommandBarButton adxCommandBarButton4;
		private AddinExpress.MSO.ADXCommandBarButton adxCommandBarButton5;
		private AddinExpress.MSO.ADXCommandBarButton adxCommandBarButton6;
		private AddinExpress.MSO.ADXCommandBarButton adxCommandBarButton7;
		private System.Windows.Forms.ImageList imageList1;
		private AddinExpress.MSO.ADXCommandBar adxCommandBar2;
		private AddinExpress.MSO.ADXCommandBarButton adxCommandBarButton8;
		private AddinExpress.MSO.ADXCommandBarComboBox adxCommandBarComboBox1;
		private AddinExpress.MSO.ADXCommandBarEdit adxCommandBarEdit1;
		private AddinExpress.MSO.ADXCommandBarDropDownList adxCommandBarDropDownList1;
		private AddinExpress.MSO.ADXCommandBarControl adxCommandBarControl1;
 
        public AddinModule()
        {
            InitializeComponent();
        }
 
        // Add-in Module Implementation
 
        #region Component Designer generated code
        /// <summary>
        /// Required by designer
        /// </summary>
        private System.ComponentModel.IContainer components;
 
        /// <summary>
        /// Required by designer support - do not modify
        /// the following method
        /// </summary>
        private void InitializeComponent()
        {
			this.components = new System.ComponentModel.Container();
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(AddinModule));
			this.adxCommandBar1 = new AddinExpress.MSO.ADXCommandBar(this.components);
			this.adxCommandBarPopup1 = new AddinExpress.MSO.ADXCommandBarPopup(this.components);
			this.adxCommandBarButton1 = new AddinExpress.MSO.ADXCommandBarButton(this.components);
			this.adxCommandBarButton2 = new AddinExpress.MSO.ADXCommandBarButton(this.components);
			this.adxCommandBarButton3 = new AddinExpress.MSO.ADXCommandBarButton(this.components);
			this.adxCommandBarPopup2 = new AddinExpress.MSO.ADXCommandBarPopup(this.components);
			this.adxCommandBarButton4 = new AddinExpress.MSO.ADXCommandBarButton(this.components);
			this.adxCommandBarButton5 = new AddinExpress.MSO.ADXCommandBarButton(this.components);
			this.adxCommandBarButton6 = new AddinExpress.MSO.ADXCommandBarButton(this.components);
			this.adxCommandBarButton7 = new AddinExpress.MSO.ADXCommandBarButton(this.components);
			this.imageList1 = new System.Windows.Forms.ImageList(this.components);
			this.adxCommandBar2 = new AddinExpress.MSO.ADXCommandBar(this.components);
			this.adxCommandBarButton8 = new AddinExpress.MSO.ADXCommandBarButton(this.components);
			this.adxCommandBarComboBox1 = new AddinExpress.MSO.ADXCommandBarComboBox(this.components);
			this.adxCommandBarEdit1 = new AddinExpress.MSO.ADXCommandBarEdit(this.components);
			this.adxCommandBarDropDownList1 = new AddinExpress.MSO.ADXCommandBarDropDownList(this.components);
			this.adxCommandBarControl1 = new AddinExpress.MSO.ADXCommandBarControl(this.components);
			// 
			// adxCommandBar1
			// 
			this.adxCommandBar1.CommandBarName = "Worksheet Menu Bar";
			this.adxCommandBar1.CommandBarTag = "2f707682-0b43-4e30-b120-f334a324f984";
			this.adxCommandBar1.Controls.Add(this.adxCommandBarPopup1);
			this.adxCommandBar1.UpdateCounter = 4;
			// 
			// adxCommandBarPopup1
			// 
			this.adxCommandBarPopup1.AfterID = 30002;
			this.adxCommandBarPopup1.Caption = "My Popup Menu";
			this.adxCommandBarPopup1.Controls.Add(this.adxCommandBarButton1);
			this.adxCommandBarPopup1.Controls.Add(this.adxCommandBarButton2);
			this.adxCommandBarPopup1.Controls.Add(this.adxCommandBarButton3);
			this.adxCommandBarPopup1.Controls.Add(this.adxCommandBarPopup2);
			this.adxCommandBarPopup1.Controls.Add(this.adxCommandBarButton7);
			this.adxCommandBarPopup1.ControlTag = "8b81275c-53b6-4cea-9f2c-76ffaaadd79c";
			this.adxCommandBarPopup1.UpdateCounter = 2;
			// 
			// adxCommandBarButton1
			// 
			this.adxCommandBarButton1.Caption = "Button 1";
			this.adxCommandBarButton1.ControlTag = "ae008d27-960e-4359-8ee1-9f4a1f4a9638";
			this.adxCommandBarButton1.Image = 0;
			this.adxCommandBarButton1.ImageTransparentColor = System.Drawing.Color.Fuchsia;
			this.adxCommandBarButton1.Style = AddinExpress.MSO.ADXMsoButtonStyle.adxMsoButtonIconAndCaption;
			this.adxCommandBarButton1.UpdateCounter = 6;
			this.adxCommandBarButton1.Click += new AddinExpress.MSO.ADXClick_EventHandler(this.ButtonClick);
			// 
			// adxCommandBarButton2
			// 
			this.adxCommandBarButton2.Caption = "Button 2";
			this.adxCommandBarButton2.ControlTag = "b8c49f6e-0738-4fae-bfe2-d9349ee17200";
			this.adxCommandBarButton2.Image = 1;
			this.adxCommandBarButton2.ImageTransparentColor = System.Drawing.Color.Fuchsia;
			this.adxCommandBarButton2.Style = AddinExpress.MSO.ADXMsoButtonStyle.adxMsoButtonIconAndCaption;
			this.adxCommandBarButton2.UpdateCounter = 5;
			this.adxCommandBarButton2.Click += new AddinExpress.MSO.ADXClick_EventHandler(this.ButtonClick);
			// 
			// adxCommandBarButton3
			// 
			this.adxCommandBarButton3.BeginGroup = true;
			this.adxCommandBarButton3.Caption = "Button 3";
			this.adxCommandBarButton3.ControlTag = "4cd34bde-1122-4dbf-bdb6-ce22e1b7627a";
			this.adxCommandBarButton3.Image = 2;
			this.adxCommandBarButton3.ImageTransparentColor = System.Drawing.Color.Fuchsia;
			this.adxCommandBarButton3.Style = AddinExpress.MSO.ADXMsoButtonStyle.adxMsoButtonIconAndCaption;
			this.adxCommandBarButton3.UpdateCounter = 6;
			this.adxCommandBarButton3.Click += new AddinExpress.MSO.ADXClick_EventHandler(this.ButtonClick);
			// 
			// adxCommandBarPopup2
			// 
			this.adxCommandBarPopup2.Caption = "New Popup";
			this.adxCommandBarPopup2.Controls.Add(this.adxCommandBarButton4);
			this.adxCommandBarPopup2.Controls.Add(this.adxCommandBarButton5);
			this.adxCommandBarPopup2.Controls.Add(this.adxCommandBarButton6);
			this.adxCommandBarPopup2.ControlTag = "9f54c2e5-c744-4c56-b864-55a070c6b33a";
			this.adxCommandBarPopup2.UpdateCounter = 1;
			// 
			// adxCommandBarButton4
			// 
			this.adxCommandBarButton4.Caption = "Button 1";
			this.adxCommandBarButton4.ControlTag = "3bc6263e-39d5-4473-9a4d-26787c052c88";
			this.adxCommandBarButton4.ImageTransparentColor = System.Drawing.Color.Transparent;
			this.adxCommandBarButton4.UpdateCounter = 2;
			this.adxCommandBarButton4.Click += new AddinExpress.MSO.ADXClick_EventHandler(this.ButtonClick);
			// 
			// adxCommandBarButton5
			// 
			this.adxCommandBarButton5.Caption = "Button 2";
			this.adxCommandBarButton5.ControlTag = "b27e4cd6-9c8b-42d1-a32e-aee6a3a8639c";
			this.adxCommandBarButton5.ImageTransparentColor = System.Drawing.Color.Transparent;
			this.adxCommandBarButton5.UpdateCounter = 2;
			this.adxCommandBarButton5.Click += new AddinExpress.MSO.ADXClick_EventHandler(this.ButtonClick);
			// 
			// adxCommandBarButton6
			// 
			this.adxCommandBarButton6.BeginGroup = true;
			this.adxCommandBarButton6.Caption = "Button 3";
			this.adxCommandBarButton6.ControlTag = "28a2c3fd-91a8-4bd5-82b5-8a35e78546e0";
			this.adxCommandBarButton6.ImageTransparentColor = System.Drawing.Color.Transparent;
			this.adxCommandBarButton6.UpdateCounter = 4;
			this.adxCommandBarButton6.Click += new AddinExpress.MSO.ADXClick_EventHandler(this.ButtonClick);
			// 
			// adxCommandBarButton7
			// 
			this.adxCommandBarButton7.Caption = "Button 4";
			this.adxCommandBarButton7.ControlTag = "ca734e12-8a45-401d-b0a2-8e808261ea0b";
			this.adxCommandBarButton7.Image = 3;
			this.adxCommandBarButton7.ImageTransparentColor = System.Drawing.Color.Fuchsia;
			this.adxCommandBarButton7.Style = AddinExpress.MSO.ADXMsoButtonStyle.adxMsoButtonIconAndCaption;
			this.adxCommandBarButton7.UpdateCounter = 5;
			this.adxCommandBarButton7.Click += new AddinExpress.MSO.ADXClick_EventHandler(this.ButtonClick);
			// 
			// imageList1
			// 
			this.imageList1.ImageSize = new System.Drawing.Size(16, 16);
			this.imageList1.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("imageList1.ImageStream")));
			this.imageList1.TransparentColor = System.Drawing.Color.Transparent;
			// 
			// adxCommandBar2
			// 
			this.adxCommandBar2.CommandBarName = "My Command Bar";
			this.adxCommandBar2.CommandBarTag = "c04629bd-7b13-4b6f-945d-966235e3b227";
			this.adxCommandBar2.Controls.Add(this.adxCommandBarButton8);
			this.adxCommandBar2.Controls.Add(this.adxCommandBarComboBox1);
			this.adxCommandBar2.Controls.Add(this.adxCommandBarEdit1);
			this.adxCommandBar2.Controls.Add(this.adxCommandBarDropDownList1);
			this.adxCommandBar2.Controls.Add(this.adxCommandBarControl1);
			this.adxCommandBar2.UpdateCounter = 3;
			// 
			// adxCommandBarButton8
			// 
			this.adxCommandBarButton8.Caption = "My Button";
			this.adxCommandBarButton8.ControlTag = "85089ef7-ded0-4d9c-81b8-b0d58bf6a81e";
			this.adxCommandBarButton8.Image = 1;
			this.adxCommandBarButton8.ImageList = this.imageList1;
			this.adxCommandBarButton8.ImageTransparentColor = System.Drawing.Color.Fuchsia;
			this.adxCommandBarButton8.Style = AddinExpress.MSO.ADXMsoButtonStyle.adxMsoButtonIconAndCaption;
			this.adxCommandBarButton8.UpdateCounter = 6;
			this.adxCommandBarButton8.Click += new AddinExpress.MSO.ADXClick_EventHandler(this.ButtonClick);
			// 
			// adxCommandBarComboBox1
			// 
			this.adxCommandBarComboBox1.BeginGroup = true;
			this.adxCommandBarComboBox1.ControlTag = "0c626b98-8f84-4c70-8743-36443052e8cc";
			this.adxCommandBarComboBox1.Items.AddRange(new string[] {
																		"String 1",
																		"String 2",
																		"String 3"});
			this.adxCommandBarComboBox1.UpdateCounter = 3;
			// 
			// adxCommandBarEdit1
			// 
			this.adxCommandBarEdit1.BeginGroup = true;
			this.adxCommandBarEdit1.ControlTag = "dcc7c54f-09b1-43b8-b9c9-edeae1f89ac3";
			this.adxCommandBarEdit1.UpdateCounter = 1;
			// 
			// adxCommandBarDropDownList1
			// 
			this.adxCommandBarDropDownList1.ControlTag = "772a6127-ff69-4ce4-8376-c6b7116fce7b";
			this.adxCommandBarDropDownList1.Items.AddRange(new string[] {
																			"Item 1",
																			"Item 2",
																			"Item 3"});
			this.adxCommandBarDropDownList1.UpdateCounter = 2;
			// 
			// adxCommandBarControl1
			// 
			this.adxCommandBarControl1.Caption = "My HiperLink";
			this.adxCommandBarControl1.ControlTag = "854452a5-f120-44b4-8f4d-fadd94eca2d3";
			this.adxCommandBarControl1.Id = 1576;
			this.adxCommandBarControl1.UpdateCounter = 2;
			// 
			// AddinModule
			// 
			this.AddinName = "ExcelMenu";
			this.Images = this.imageList1;
			this.SupportedApps = AddinExpress.MSO.ADXOfficeHostApp.ohaExcel;

		}
        #endregion
 
        #region ADX automatic code
 
        // Required by Add-in Express - do not modify
        // the methods within this region
 
        public override System.ComponentModel.IContainer GetContainer()
        {
            return components;
        }
 
        [ComRegisterFunctionAttribute]
        public static void AddinRegister(Type t)
        {
            AddinExpress.MSO.ADXAddinModule.ADXRegister(t);
        }
 
        [ComUnregisterFunctionAttribute]
        public static void AddinUnregister(Type t)
        {
            AddinExpress.MSO.ADXAddinModule.ADXUnregister(t);
        }
 
        public override void UninstallControls()
        {
            base.UninstallControls();
        }

        #endregion

		private void ButtonClick(object sender)
		{
			MessageBox.Show((sender as AddinExpress.MSO.ADXCommandBarButton).Caption);
		}
 
    }
}

